<!-- SLIDE -->

<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
  </ol>
  <div class="carousel-inner" style="max-height: 500px; overflow: hidden;">
    <div class="carousel-item active">
      <img class="d-block w-100" src="assets/img/fondo-mermelada.jpg" alt="First slide">
    </div>
    <div class="carousel-item ">
      <img class="d-block w-100" src="assets/img/fondo-mermelada2.jpg" alt="Second slide">
    </div>
    <div class="carousel-item ">
      <img class="d-block w-100" src="assets/img/fondo-mermelada3.jpg" alt="Third slide">
    </div>
  </div>
  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>

<!-- NAV -->
<div id="navegacion">
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <button class="navbar-toggler" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <a class="navbar-brand" [routerLink]="['/home']"><img src="assets/img/mermelada-casera3.png"/></a>
      <ul class="navbar-nav mr-auto mt-2 mt-lg-0" style="font-weight: bold;">
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['/home']">INICIO</a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['/mermeladas']">PRODUCTOS</a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['/perfil']">PERFIL</a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['/iniciarSesion']">INICIAR SESIÓN</a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['/crearUsuario']">CREAR USUARIO</a>
        </li>
      </ul>
      <form class="form-inline my-2 my-lg-0" onsubmit="return false">
        <input class="form-control mr-sm-2" type="search" placeholder="Buscar producto" aria-label="Search" (keyup.enter)="buscarMermelada(buscarTexto.value)" #buscarTexto>
        <button class="btn btn-outline-warning my-2 my-sm-0" (click)="buscarMermelada(buscarTexto.value)" >Buscar</button>
      </form>
    </div>
  </nav>
</div>
